Skip to main content
`Ctrl`+`K`

# PEPQArnoldiGetLocking

Gets the locking flag used in the Q-Arnoldi method.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPQArnoldiGetLocking(PEP pep,PetscBool *lock)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- lock - the locking flag

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPQARNOLDI`, `PEPQArnoldiSetLocking()`

## Level

advanced

## Location

src/pep/impls/krylov/qarnoldi/qarnoldi.c

## Implementations

PEPQArnoldiGetLocking_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages